cURL
curl https://api.exponent.finance/pt-mints
import requests
response = requests.get("https://api.exponent.finance/pt-mints", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/pt-mints");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"ptMint": "HHUrm6pqDUYRr3m2FdmoinVFbMxFcjcGTYMxT4WuioMp",
"decimals": 9,
"quoteAssetMint": "So11111111111111111111111111111111111111112",
"endTimestamp": "2025-12-20T12:58:20+00:00",
"name": "Exponent PT-dzSOL-20DEC25",
"symbol": "PT-dzSOL",
"imageUrl": "https://cdn.exponent.finance/pt-tokens/PT-dzSOL.svg"
},
{
"ptMint": "FmgihNND4sJXrhL1KkNf54m5zb4ctcYVsHa11sRqfmZH",
"decimals": 9,
"quoteAssetMint": "So11111111111111111111111111111111111111112",
"endTimestamp": "2026-01-27T08:58:20+00:00",
"name": "Exponent PT-kySOL-27JAN26",
"symbol": "PT-kySOL",
"imageUrl": "https://cdn.exponent.finance/pt-tokens/PT-kySOL.svg"
}
]
{
"error": "<message>"
}
Tokens and prices
PT token mints and maturities
Retrieve PT mint metadata and vault maturity timestamps.
GET
/
pt-mints
cURL
curl https://api.exponent.finance/pt-mints
import requests
response = requests.get("https://api.exponent.finance/pt-mints", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/pt-mints");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"ptMint": "HHUrm6pqDUYRr3m2FdmoinVFbMxFcjcGTYMxT4WuioMp",
"decimals": 9,
"quoteAssetMint": "So11111111111111111111111111111111111111112",
"endTimestamp": "2025-12-20T12:58:20+00:00",
"name": "Exponent PT-dzSOL-20DEC25",
"symbol": "PT-dzSOL",
"imageUrl": "https://cdn.exponent.finance/pt-tokens/PT-dzSOL.svg"
},
{
"ptMint": "FmgihNND4sJXrhL1KkNf54m5zb4ctcYVsHa11sRqfmZH",
"decimals": 9,
"quoteAssetMint": "So11111111111111111111111111111111111111112",
"endTimestamp": "2026-01-27T08:58:20+00:00",
"name": "Exponent PT-kySOL-27JAN26",
"symbol": "PT-kySOL",
"imageUrl": "https://cdn.exponent.finance/pt-tokens/PT-kySOL.svg"
}
]
{
"error": "<message>"
}
cURL
curl https://api.exponent.finance/pt-mints
import requests
response = requests.get("https://api.exponent.finance/pt-mints", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/pt-mints");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"ptMint": "HHUrm6pqDUYRr3m2FdmoinVFbMxFcjcGTYMxT4WuioMp",
"decimals": 9,
"quoteAssetMint": "So11111111111111111111111111111111111111112",
"endTimestamp": "2025-12-20T12:58:20+00:00",
"name": "Exponent PT-dzSOL-20DEC25",
"symbol": "PT-dzSOL",
"imageUrl": "https://cdn.exponent.finance/pt-tokens/PT-dzSOL.svg"
},
{
"ptMint": "FmgihNND4sJXrhL1KkNf54m5zb4ctcYVsHa11sRqfmZH",
"decimals": 9,
"quoteAssetMint": "So11111111111111111111111111111111111111112",
"endTimestamp": "2026-01-27T08:58:20+00:00",
"name": "Exponent PT-kySOL-27JAN26",
"symbol": "PT-kySOL",
"imageUrl": "https://cdn.exponent.finance/pt-tokens/PT-kySOL.svg"
}
]
{
"error": "<message>"
}